jQuery(document).ready(function($){
	
	var mediaUploader;
	$( '#upload-logo' ).on('click',function(e){
		e.preventDefault();
		if( mediaUploader ){
			mediaUploader.open();
			return;
		}
		
		mediaUploader = wp.media.frames.file_frame = wp.media({
			title: 'Choose a Logo', 
			button:{
				text: 'Choose Logo'
				},
				multiple: false
			});
			
			mediaUploader.on('select', function(){
				attachment = mediaUploader.state().get('selection').first().toJSON();
				$('#logo-img').val(attachment.url);
				$('#logo-prev').attr('src', attachment.url);
				});
			mediaUploader.open();
		});
    
});